curl --location '/api/v1/portfolios//heritages' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"heritage": {
"name": "string",
"status": "planning",
"notes": "string",
"heritage_beneficiaries_attributes": [
{
"name": "string",
"relationship": "string",
"percentage": 0,
"notes": "string"
}
]
}
}'{
"success": true,
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "Family Inheritance Plan",
"status": "planning",
"notes": "string",
"beneficiaries": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"relationship": "string",
"percentage": 0,
"notes": "string"
}
],
"allocations": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"beneficiary_id": "0a8df251-de2a-4394-bffc-6b9d9795700d",
"allocatable_type": "string",
"allocatable_id": "ce475892-04ff-46ab-9204-9c9561f571ed",
"percentage": 0,
"fixed_amount": {
"cents": 100000,
"currency": "IDR"
}
}
],
"created_at": "2019-08-24T14:15:22.123Z",
"updated_at": "2019-08-24T14:15:22.123Z"
}
}